%define version 1.0
%define release 15
Summary: Set up zoneminder for SME Server.
Name: smeserver-zoneminder
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: smeserver-devtools >= 1.13.1-03
Requires: smeserver-release >= 10.0
Requires: smeserver-apache >= 2.6.0-19
Requires: smeserver-php >= 3.0.0-43
Requires: zoneminder
Requires: smeserver-base
#Requires: php70-php-pecl-apcu-bc php71-php-pecl-apcu-bc php72-php-pecl-apcu-bc php73-php-pecl-apcu-bc
#Requires: php54-php-pecl-apcu php55-php-pecl-apcu php56-php-pecl-apcu php70-php-pecl-apcu php71-php-pecl-apcu php72-php-pecl-apcu php73-php-pecl-apcu
AutoReqProv: no

%description
rpm to setup zoneminder

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.0-15.sme
- Fix e-smith references in smeserver-zoneminder [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.0-14.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Mar 24 2023 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-13.sme
- add a dedicated php pool [SME: 11226]

* Mon Aug 01 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-12.sme
- adapt to httpd 2.4 access syntax [SME: 12069]
- add to core backup [SME: 12034]

* Tue Feb 16 2021 Brian Read <brianr@bjsystems.co.uk> 1.0-11.sme
- Update for systemd changes [SME: 11226]

* Fri Dec 04 2020 Brian Read <brianr@bjsystems.co.uk> 1.0-10.sme
- Update httpds.conf for php-fpw [SME: 11226]

* Thu Dec 03 2020 Brian Read <brianr@bjsystems.co.uk> 1.0-9.sme
- Remove smeserver-php-scl [SME: 11226]

* Thu Dec 03 2020 Brian Read <brianr@bjsystems.co.uk> 1.0-8.sme
- Initial import to SME10 tree [SME: 11226]

* Fri Dec 28 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-7.sme
- add deps [SME: 10539]
- fix sql init file perms [SME: 10676]

* Tue Mar 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-4.sme
- fix wrong cgi path preventing realtime image to display [SME: 10539]

* Tue Mar 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-3.sme
- fix few bugs on initial release [SME: 10539]
- fix auth using SME Server admin user and pass for http auth
- add setting of mysql for innodb

* Tue Mar 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-2.sme
- fix bad dep to phpscl should be php-scl [SME: 10539]

* Tue Mar 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-1.sme
- initial version for SME9 [SME: 10539]
- create password for db, db , and fill it 
- based on zoneminder rpm from http://zmrepo.metroeasthomevetcare.com for el6,
  el7 will be on rpmfusion
- added event zoneminder-update
- removed post and postun scripts
- set admin password inside zm user db

* Sat Sep 01 2007 Steve Ognenovski <steve@socomms.com> - 0.1-2
- added 23zoneminder 
- expand templates on %post and %postun
- start zoneminder daemon
- removed ScriptAlias from 86zoneminder
- added to %post mysql mysql < /usr/share/zoneminder/db/zm_create.sql
- added to %postun mysqladmin -f drop zm

* Fri Aug 10 2007 Greg Swallow <greg@runlevle7.ca> - 0.1-1
- initial release

%prep
%setup
mkdir -p root/var/lib/php/zoneminder/{session,tmp,opcache}
mkdir -p root/var/log/php/zoneminder

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
 --dir /var/log/php/zoneminder  'attr(0755,www,www)' \
 --dir /var/lib/php/zoneminder  'attr(0755,www,www)' \
 --dir /var/lib/php/zoneminder/tmp 'attr(0755,www,www)' \
 --dir /var/lib/php/zoneminder/opcache 'attr(0755,www,www)' \
 --dir /var/lib/php/zoneminder/session 'attr(0755,www,www)' \
     > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
